> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/ko/gaebal/gibon/bangbeob-gaideu/jigap-naeyeok-johoe.md).

# 지갑 내역 조회하기

Moralis Wallet API를 사용하여 Chiliz Chain에서 지갑의 전체 트랜잭션 내역을 조회합니다. 입출금 트랜잭션 기록에 대한 코드 샘플 포함.

## 지갑 내역이란?

지갑 내역은 암호화폐 지갑과 관련된 입출금을 포함한 모든 트랜잭션의 완전한 기록을 말합니다.

## Moralis로 조회하는 방법

Moralis에는 활용할 수 있는 Wallet API가 있으며, 지갑 내역 사용 사례에 대한 코드 샘플도 제공합니다.

* [지갑 내역 가져오기](https://docs.moralis.io/web3-data-api/evm/reference/wallet-api/get-wallet-history)

코드 샘플을 수정하려면 Ethereum 참조를 Chiliz Chain의 ID인 `0x15b38`으로 교체합니다.

```typescript
import Moralis from 'moralis';

try {
  await Moralis.start({
    apiKey: "YOUR_API_KEY"
  });

  const response = await Moralis.EvmApi.wallets.getWalletHistory({
    "chain": "0x15b38", // Chiliz Chain Mainnet용.
                        // Spicy Testnet은 "0x15b32"를 사용합니다.
    "order": "DESC",
    "address": "0xYourWalletAddress"
  });

  console.log(response.raw);
} catch (e) {
  console.error(e);
}
```

## Tatum으로 조회하는 방법

Tatum에는 활용할 수 있는 포괄적인 Data API가 있으며, 지갑 내역 사용 사례에 대한 코드 샘플도 제공합니다.

* [지갑의 모든 트랜잭션 가져오기](https://docs.tatum.io/docs/get-all-transactions-on-the-wallet)

코드 샘플을 수정하려면 Ethereum 참조를 Chiliz Chain으로 교체합니다.

```typescript
// yarn add @tatumio/tatum
import {TatumSDK, Network, Chiliz, ResponseDto, AddressTransaction} from '@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const txs: ResponseDto<AddressTransaction[]> = await tatum.address.getTransactions({
  address: '0xYourWalletAddress', // 주소로 교체하세요
})

console.log(txs.data)
```

## thirdweb으로 조회하는 방법

thirdweb은 문서 사이트에 영감으로 활용할 수 있는 짧은 코드 샘플을 여러 개 제공합니다.

아쉽게도 트랜잭션 전용 함수가 없어 [Chiliz Scan API](https://scan.chiliz.com/api-docs)를 활용합니다.

```typescript
const { ThirdwebSDK } = require("@thirdweb-dev/sdk");
const axios = require("axios");

const sdk = new ThirdwebSDK("https://rpc.ankr.com/chiliz");
const walletAddress = "0xYourWalletAddress";

// ChilizScan API URL 및 API 키(필요한 경우)
const CHILIZ_SCAN_API_URL = "https://api.chilizscan.com/api";
const API_KEY = "YourChilizScanAPIKey"; // API 인증이 필요한 경우 선택사항

async function getTransactionHistory() {
  try {
    const response = await axios.get(`${CHILIZ_SCAN_API_URL}?module=account&action=txlist&address=${walletAddress}&apikey=${API_KEY}`);
    const transactions = response.data.result;

    console.log(`Transaction history of wallet ${walletAddress}:`, transactions);
  } catch (error) {
    console.error("Error fetching transaction history:", error);
  }
}

getTransactionHistory();
```

## Nodit으로 조회하는 방법

Nodit은 [문서](https://developer.nodit.io/reference/chiliz-gettransactionsbyaccount)에서 다음 코드 샘플을 제공합니다.

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/blockchain/getTransactionsByAccount';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({
    accountAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045',
    relation: 'both',
    fromDate: '2025-01-01T00:00:00+00:00',
    toDate: '2025-01-31T00:00:00+00:00',
    withCount: false,
    withLogs: false,
    withDecode: false
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/ko/gaebal/gibon/bangbeob-gaideu/jigap-naeyeok-johoe.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
